petsc-3.10.5 2019-03-28
Report Typos and Errors

# PetscObjectBaseTypeCompare

Determines whether a PetscObject is of a given base type. For example the base type of MATSEQAIJPERM is MATSEQAIJ

### Synopsis

    #include "petscsys.h"
    PetscErrorCode  PetscObjectBaseTypeCompare(PetscObject obj,const char type_name[],PetscBool  *same)

Not Collective

### Input Parameters

| mat | - the matrix
| type_name | - string containing a type name

### Output Parameter

same -PETSC_TRUE if it is of the same base type

### See Also

PetscObjectTypeCompare()

### Level

intermediate

### Location

src/sys/objects/destroy.c
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages